# $Revision: 1.37 $, $Date: 2006/01/23 08:16:40 $
# TODO:
#  - split main package to few smaller (there is linphonec for console,
#    auto-answering machine and linphone applet for gnome)
#  - check why --enable-alsa doesn't require alsa-lib-devel
#  - check if all this configure option I've set are really needed

Summary:	Linphone Internet Phone
Summary(pl):	Linphone - telefon internetowy
Name:		linphone
Version:	1.2.0
Release:	1
License:	LGPL/GPL
Group:		Applications/Communications
Source0:	http://simon.morlat.free.fr/download/1.2.x/source/%{name}-%{version}.tar.gz
# Source0-md5:	bd5e513a665ce2e381afce64d569c707
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-automake.patch
#Patch2:		%{name}-system-libs.patch
URL:		http://www.linphone.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.5
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-panel-devel
BuildRequires:	gtk-doc
BuildRequires:	libgnomeui-devel
BuildRequires:	libgsm-devel >= 1.0.10
BuildRequires:	libosip2-devel >= 2.2.0
BuildRequires:	libtool >= 1:1.4.2-9
#BuildRequires:	lpc10-devel >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
BuildRequires:	speex-devel >= 1.0.0
BuildRequires:	xft-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	/usr/bin/scrollkeeper-update
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/GNOME
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
Linphone is a web phone: it let you phone to your friends anywhere in
the whole world, freely, simply by using the internet. The cost of the
phone call is the cost that you spend connected to the internet.

Here are the main features of linphone:
- Works with the GNOME Desktop under linux.
- Works as simply as a cellular phone. Two buttons, no more.
- Understands the SIP protocol.
- You just require a soundcard to use linphone.
- Linphone is free software, released under the General Public
  Licence.
- Linphone is documented: there is a complete user manual readable
  from the application that explains you all you need to know.

%description -l pl
Linphone to telefon internetowy - pozwala dzwoni do znajomych na
caym wiecie bez dodatkowych opat, uywajc tylko Internetu.

Gwne cechy linphone:
- dziaanie ze rodowiskiem GNOME
- naladowanie prostego telefonu komrkowego - tylko dwa przyciski
- obsuga protokou SIP
- wymaga karty dwikowej
- jest wolnodostpnym oprogramowaniem (na licencji GPL)
- ma dokumentacj: peny podrcznik dostpny z aplikacji.

%package devel
Summary:	Linphone Internet Phone - header files
Summary(pl):	Telefon internetowy Linphone - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk-doc-common

%description devel
Development files for the Linphone Internet Phone.

%description devel -l pl
Pliki dla programistw uywajcych telefonu internetowego Linphone.

%package static
Summary:	Linphone static libraries
Summary(pl):	Statyczne biblioteki Linphone
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of Linphone libraries.

%description static -l pl
Statyczne wersje bibliotek Linphone.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
rm -f missing
# gettext 0.11.5 used
#%%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd oRTP
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	# don't use -f here
	automake -a -c --foreign
cd ..
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--enable-platform-gnome-2 \
	--enable-alsa \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers \
	$RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

install share/linphone.desktop $RPM_BUILD_ROOT%{_desktopdir}
install share/linphone.gnorba $RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers
install pixmaps/*.png pixmaps/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f $RPM_BUILD_ROOT%{_includedir}/speex*
rm -f $RPM_BUILD_ROOT%{_libdir}/libspeex*

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
/sbin/ldconfig

%postun
/usr/bin/scrollkeeper-update
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_datadir}/sounds/*
%{_mandir}/man*/*
%{_libdir}/bonobo/servers/GNOME_LinphoneApplet.server
%attr(755,root,root) %{_libdir}/linphone_applet
%{_datadir}/gnome-2.0/ui/GNOME_LinphoneApplet.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/linphone
%{_includedir}/ortp
%{_gtkdocdir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linphone.spec,v $
Revision 1.37  2006/01/23 08:16:40  ankry
- added desktop patch

Revision 1.36  2005/12/21 01:18:15  charles
- BR: gettext-devel, pkgconfig

Revision 1.35  2005/12/20 19:50:43  jajcus
- Version: 1.2.0

Revision 1.34  2005/11/21 15:21:07  blues
- release 1 - works more or less

Revision 1.33  2005/11/04 21:23:31  wiget
- updated to 1.1.0

Revision 1.32  2005/03/28 18:42:21  witekfl
- update to 1.0.1

Revision 1.31  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.30  2004/02/09 00:20:09  arekm
- speex libs and headers removed (see speex.spec)

Revision 1.29  2003/10/31 15:06:54  djrzulf
- i think that description looks better than before :)

Revision 1.28  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.27  2003/09/25 17:57:28  gotar
- don't R: applnk

Revision 1.26  2003/09/19 10:49:18  adasi
 - added BR: gtk-doc

Revision 1.25  2003/09/03 19:06:11  krzak
- up to 0.12.0

Revision 1.24  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.23  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/06/27 14:08:49  radzio
- chmod 755 %%{_libdir}/linphone_applet

Revision 1.21  2003/06/27 10:39:48  qboosh
- added system-libs patch to use system ffmpeg, libgsm, lpc10 and speex
- removed BR xrender-devel, already required by xft-devel
- release 2.1 for testing

Revision 1.20  2003/06/27 09:04:43  radzio
- add BR: gnome-panel-devel

Revision 1.19  2003/06/27 00:35:51  radzio
- add patch1 with needed macro for automake (in acinclude.m4)
- linphone  use gnome-2 interface since 0.10.0 (so I fix some BR
  and configure options)
- add --with-alsa and --with-ipv6
- add some interesting files to main package
- update TODO
- rel 2

Revision 1.18  2003/06/26 09:19:42  qboosh
- s/Xft-devel/xft-devel/

Revision 1.17  2003/06/25 11:39:49  blues
- cosmetics

Revision 1.16  2003/06/24 06:09:14  zagrodzki
- upgraded to 0.11.0

Revision 1.15  2003/05/28 12:59:35  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.12  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.11  2003/01/03 14:51:45  qboosh
- cleanups, fixed license (parts are on LGPL v2.1+)
- fixed gtk-doc dir, moved API documentation to -devel
- moved static libraries to -static, removed Speex files

Revision 1.10  2003/01/02 14:37:13  blues
- 0.9.1 - some hacks with libtool

Revision 1.9  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.8  2002/11/25 14:17:11  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/10/09 11:28:15  qboosh
- more specific Requires, added missing dirs to -devel

Revision 1.6  2002/09/26 13:27:09  blues
- 0.9.0 - ac/am regeneration removed, workaround in libraries

Revision 1.5  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.4  2002/05/21 23:14:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/16 07:58:49  qboosh
- pl descriptions

Revision 1.2  2002/04/15 17:40:38  jajcus
- updates; seems to work now

Revision 1.1  2002/04/15 13:53:06  jajcus
- new spec, NFY
